Bug 44102 - Several errors in quota programs
Several errors in quota programs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-11 06:48 EDT by Martin Høy
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 10:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Høy 2001-06-11 06:48:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-win4lin i686; en-US; rv:0.9.1)
Gecko/20010607

How reproducible:
Always

There are several things that do not work as expected:

1) The program quotacheck hangs if there are named pipes in the
   filesystem. It's probably trying to read from them or something.

2) The command quota does not work for ordinary users (permission
   denied, even for the same user). When run as root, it displays
   nothing (empty fields). repquota works as expected.

3) The amount of used blocks/inodes is not updated automatically (when
   adding or removing files). It is only updated when another
   quotacheck is run.
Comment 1 Martin Høy 2001-06-11 10:34:59 EDT
I emailed the maintainer Jan Kara. With patches for the 2.4.5 kernel and new tools
from sourceforge (version 3.01-pre7), all the above issues are solved.

Relevant URLs:
- http://www.sourceforge.net/projects/linuxquota/ - quota-3.01-pre7
- ftp://atrey.karlin.mff.cuni.cz/pub/local/jack/quota/v2.4
  quota-fix-2.4.5-1.diff.gz and quota-patch-2.4.5-1.diff.gz
Comment 2 Preston Brown 2001-07-02 16:10:14 EDT
3.01-pre7 now available via rawhide, and will shortly be released as official errata.

Note You need to log in before you can comment on or make changes to this bug.